Get Bulk Application Task Progress

Get Bulk Application Task Progress
GET progress of bulk application creation request

GET progress of bulk application creation request

Request
URI
GET
https://{api_host}/api/ni/groups/task/progress/{requestId}
COPY
Path Parameters
string
requestId
Required

requestId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SaveBulkDiscoveredAppProgressResponse of type(s) application/json
{
    "request_id": "TASK_PROGRESS_application.APP_BULK_SAVE.1641321499579.0.04202820074723557",
    "task_name": "APP_BULK_SAVE",
    "status": "FINISHED",
    "progress": 100,
    "start_time": 1641321499579,
    "app_save_response": [
        {
            "entityId": "18203:565:2854896465419091802",
            "name": "support-app-web",
            "responseCode": "ALREADY_SAVED_APPLICATION",
            "errorMessage": "Application email-app is already saved."
        }
    ]
}
string
request_id
Optional

RequestId of bulk application save request.

string
task_name
Optional

task_name

string
status
Optional

Status of bulk application save task (eg. FINISHED).

number As double As double
progress
Optional

Percent progress of bulk application save task. Task is complete when progress is 100.

number As int64 As int64
start_time
Optional

start_time

array of object
app_save_response
Optional

Every application's save operation response.


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/task/progress/{requestId}